bash – I can’t execute $ bundle exec rake secret, because I don’t know how to get rid of /usr/local/bin/bundle

My ruby ​​version is 2.3.0, my mysql version is 8.0.23, my mysql2 version is 0.5.3, my rails version is 5.0.7.2, and my Xcode version is 12.5.

I use macOS Big Sur(version 11.4) and the text editor “Atom”.

I’m planning to release my Rails application with the URL of HEROKU(example. https://(My APP Name).herokuapp.com).

I ran the following command.

$ bundle exec rake secret

bash: /usr/local/bin/bundle: /System/Library/Frameworks/Ruby.framework/Versions/2.3/
usr/bin/ruby: bad interpreter: No such file or directory

I installed the ruby version “2.3.0” as below ,because bundle seems to call “2.3”.

$ rbenv install 2.3.0

Downloading openssl-1.0.2u.tar.gz...
-> https://****
Installing openssl-1.0.2u...
Installed openssl-1.0.2u to /Users/****/.rbenv/versions/2.3.0

Downloading ruby-2.3.0.tar.bz2...

-> https://****
Installing ruby-2.3.0...

WARNING: ruby-2.3.0 is past its end of life and is now unsupported.
It no longer receives bug fixes or critical security updates.

ruby-build: using readline from homebrew
Installed ruby-2.3.0 to /Users/****/.rbenv/versions/2.3.0

I verified that the ruby version “2.3.0” is installed and the current ruby version is “2.3.0”.

$ rbenv local 2.3.0
$ rbenv rehash
$ rbenv versions

  system
* 2.3.0

But the ruby current version is “2.6.3” when used the below command.

$ ruby -v

ruby 2.6.3p62 (2019-04-16 revision 67580) (universal.x86_64-darwin20)
$ gem env

RubyGems Environment:
  - RUBYGEMS VERSION: 3.0.3
  - RUBY VERSION: 2.6.3 (2019-04-16 patchlevel 62) (universal.x86_64-darwin20)
  - INSTALLATION DIRECTORY: /Library/Ruby/Gems/2.6.0
  - USER INSTALLATION DIRECTORY: /Users/****/.gem/ruby/2.6.0

  - RUBY EXECUTABLE: /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/bin/ruby
  - GIT EXECUTABLE: /usr/local/bin/git
  - EXECUTABLE DIRECTORY: /usr/local/bin
  - SPEC CACHE DIRECTORY: /Users/****/.gem/specs
  - SYSTEM CONFIGURATION DIRECTORY: /Library/Ruby/Site
  - RUBYGEMS PLATFORMS:
    - ruby
    - universal-darwin-20
  - GEM PATHS:
     - /Library/Ruby/Gems/2.6.0
     - /Users/****/.gem/ruby/2.6.0
     - /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/gems/2.6.0
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - https://rubygems.org/
  - SHELL PATH:
     - /usr/local/bin
     - /usr/bin
     - /bin
     - /usr/sbin
     - /sbin
     - /Users/****/.rbenv/shims

I ran the following command.

$ bundle exec rake secret

bash: /usr/local/bin/bundle: /System/Library/Frameworks/Ruby.framework/Versions/2.3/
usr/bin/ruby: bad interpreter: No such file or directory

Would you like to tell me how to get rid of /usr/local/bin/bundle? Because my bundle exec should work if I can get rid of /usr/local/bin/bundle.